Package com.mockobjects.dynamic

# Class ThrowStub

java.lang.Object
com.mockobjects.dynamic.CallStub
com.mockobjects.dynamic.ThrowStub

All Implemented Interfaces:
  `Callable`, `Verifiable`

public class ThrowStub extends CallStub

Author:
  dev

## Constructor Summary

Constructors
Constructor
Description
`ThrowStub(Throwable throwable)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`call(Mock mock, String methodName, Object[] args)`
`String`
`getDescription()`

### Methods inherited from class com.mockobjects.dynamic.CallStub

`matches, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThrowStub

public ThrowStub(Throwable throwable)

## Method Details

### call

public Object call(Mock mock, String methodName, Object[] args) throws Throwable

Throws:
  `Throwable`

### getDescription

public String getDescription()